---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# StockLocationAddress

## constructor

___

## Properties

<ParameterTypes parameters={[
  {
    "name": "address_1",
    "type": "`string`",
    "description": "Stock location address",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "address_2",
    "type": "`string`",
    "description": "Stock location address' complement",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "city",
    "type": "`string`",
    "description": "Stock location address' city",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "company",
    "type": "`string`",
    "description": "Stock location address' company",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "country_code",
    "type": "`string`",
    "description": "The two character ISO code for the country.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "phone",
    "type": "`string`",
    "description": "Stock location address' phone number",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "postal_code",
    "type": "`string`",
    "description": "Stock location address' postal code",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "province",
    "type": "`string`",
    "description": "Stock location address' province",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
